> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Aggregate Trade Proposals

> Get an aggregated report for trade proposals which have been generated.



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/reports/proposals/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/reports/proposals/:
    get:
      tags:
        - api
      description: Get an aggregated report for trade proposals which have been generated.
      operationId: api_v1_custom_org_reports_proposals_retrieve
      parameters:
        - in: query
          name: end_date
          schema:
            type: string
            format: date
          description: Filter proposals created on or before this date (YYYY-MM-DD)
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: start_date
          schema:
            type: string
            format: date
          description: Filter proposals created on or after this date (YYYY-MM-DD)
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AggregateProposalsReport'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    AggregateProposalsReport:
      type: object
      properties:
        proposal_count:
          type: integer
        proposal_statuses:
          $ref: '#/components/schemas/ProposalStatuses'
        orders:
          $ref: '#/components/schemas/Orders'
      required:
        - orders
        - proposal_count
        - proposal_statuses
    ProposalStatuses:
      type: object
      properties:
        completed:
          type: integer
        pending:
          type: integer
        failed:
          type: integer
      required:
        - completed
        - failed
        - pending
    Orders:
      type: object
      properties:
        buy:
          $ref: '#/components/schemas/OrdersSide'
        sell:
          $ref: '#/components/schemas/OrdersSide'
      required:
        - buy
        - sell
    OrdersSide:
      type: object
      properties:
        notional:
          $ref: '#/components/schemas/AmountCount'
        qty:
          $ref: '#/components/schemas/AmountCount'
      required:
        - notional
        - qty
    AmountCount:
      type: object
      properties:
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        count:
          type: integer
      required:
        - amount
        - count
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````